System.Web 2.0.0.0 System.Web.UI.Control System.Web.UI.IDataItemContainer

The class is used by the control as a container for the contents of the menu items that are rendered using a custom template.

This class is used by control developers primarily when extending the class to create a container for a templated menu item.

You can define a custom template for the dynamic and static menu items of a control by using the and properties, respectively.

For a list of initial property values for an instance of the class, see the constructor.

Represents a container that holds the contents of a templated menu item in a control.

- Constructor
  To be added.

  Use this constructor to create a new instance of the class using the specified menu item index and menu item.

  The following table shows initial property values for an instance of class.

  Property

  Initial value

  The value of the parameter.

  The value of the parameter.

  Initializes a new instance of the class using the specified menu item index and menu item.

  The index of the menu item.
  2.0.0.0
- Property
  System.Object To be added.

  Use the property to specify or determine the menu item associated with the container.

  This property is used primarily by control developers when extending the class.

  Gets or sets the menu item associated with the container.

  2.0.0.0
- Property
  System.Int32 To be added.

  Use the property to determine the index of the menu item associated with the container.

  This property is used primarily by control developers when extending the class.

  Gets the index of the menu item associated with the container.

  2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Use the method to pass an event raised by a control within the container up the page's UI server control hierarchy.

  This method is used primarily by control developers when extending the class.

  Passes the event raised by a control within the container up the page's user interface (UI) server control hierarchy.

  true to indicate that this method is passing an event raised by a control within the container up the page's UI server control hierarchy; otherwise, false.

  The source of the event. 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the index value of the object associated with the container.

- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the index value of the menu item for the container.